#!/bin/bash

SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"

# run sos to upload
"${SCRIPT_DIR}/../sos/sos" upload "getbin.xyz" "${SCRIPT_DIR}/whatsdirty.sh" "whatsdirty:latest" 
"${SCRIPT_DIR}/../sos/sos" upload "getbin.xyz" "${SCRIPT_DIR}/install.sh" "whatsdirty-install:latest" 

# publish the tool

mkdir -p ${SCRIPT_DIR}/tool
cp ${SCRIPT_DIR}/whatsdirty.sh ${SCRIPT_DIR}/tool
ln -s ${SCRIPT_DIR}/tool/whatsdirty.sh ${SCRIPT_DIR}/tool/whatsdirty

